FieldEmbeddableDescriptor (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.reflect, class: FieldEmbeddableDescriptor

# Class FieldEmbeddableDescriptor

java.lang.Object
org.apache.cayenne.reflect.FieldEmbeddableDescriptor

All Implemented Interfaces:
  `EmbeddableDescriptor`

public class FieldEmbeddableDescriptor extends Object implements EmbeddableDescriptor
A default POJO embeddable descriptor.

Since:
  3.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Embeddable`
  `embeddable`
  `protected Class<?>`
  `embeddableClass`
  `protected Accessor`
  `embeddedPropertyAccessor`
  `protected Accessor`
  `ownerAccessor`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FieldEmbeddableDescriptor(AdhocObjectFactory objectFactory, Embeddable embeddable, String ownerProperty, String embeddedPropertyProperty)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `createObject(Object owner, String embeddedProperty)`
  Creates a new instance of an embeddable class described by this object.
  `Embeddable`
  `getEmbeddable()`
  Returns a metadata object for this descriptor.
  `Class<?>`
  `getObjectClass()`
  Returns an embeddable class mapped by this descriptor.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### embeddableClass

    protected Class<?> embeddableClass

  - ### embeddable

    protected Embeddable embeddable

  - ### ownerAccessor

    protected Accessor ownerAccessor

  - ### embeddedPropertyAccessor

    protected Accessor embeddedPropertyAccessor

- ## Constructor Details

  - ### FieldEmbeddableDescriptor

    public FieldEmbeddableDescriptor(AdhocObjectFactory objectFactory, Embeddable embeddable, String ownerProperty, String embeddedPropertyProperty)

- ## Method Details

  - ### createObject

    public Object createObject(Object owner, String embeddedProperty)
    Description copied from interface: `EmbeddableDescriptor`
    Creates a new instance of an embeddable class described by this object.
    Specified by:
      `createObject` in interface `EmbeddableDescriptor`

  - ### getEmbeddable

    public Embeddable getEmbeddable()
    Description copied from interface: `EmbeddableDescriptor`
    Returns a metadata object for this descriptor.
    Specified by:
      `getEmbeddable` in interface `EmbeddableDescriptor`

  - ### getObjectClass

    public Class<?> getObjectClass()
    Description copied from interface: `EmbeddableDescriptor`
    Returns an embeddable class mapped by this descriptor.
    Specified by:
      `getObjectClass` in interface `EmbeddableDescriptor`